Subject: bug#66359: closed (Re: [bug#66359] [PATCH] gnu: curl: Update to 8.3.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 05 Oct 2023 07:45:02 +0000

Your bug report

#66359: [PATCH] gnu: curl: Update to 8.3.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66359: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66359
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66359] [PATCH] gnu: curl: Update to 8.3.0.
From: Liliana Marie Prikler <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked]
Date: Thu, 05 Oct 2023 09:44:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Donnerstag, dem 05.10.2023 um 10:19 +0300 schrieb Efraim Flashner:
> On Thu, Oct 05, 2023 at 08:11:34AM +0200, Liliana Marie Prikler
> wrote:
> > +(define curl/fixed
> > +  (let ((%version "8.3.0"))
> > +    (package
> > +      (inherit curl)
> > +      (version "8.3.0-0")               ; add -0 for grafting
> 
> '7.85.0' is 6 characters, bit '8.3.0-0' is 7 characters. I think I'd
> go with '8.3.0A' to keep with previous (tribal knowledge) version
> mangling schemes.
D'oh.

> > +      (source (origin
> > +                (method url-fetch)
> > +                (uri (string-append
> > "https://curl.se/download/curl-"
> > +                                    %version ".tar.xz"))
> > +                (sha256
> > +                 (base32
> > +                 
> > "0qza6yf20y2l4aaxkn8dfw8p3fls1mxljvdb0m8z1i6ncxvn4v9p"))
> > +                (patches (search-patches "curl-use-ssl-cert-
> > env.patch")))))))
> > +
> >  (define-public curl-ssh
> >    (package/inherit curl
> >      (arguments
> > 
> > base-commit: e71864793021051cff35597abd59bb2d5649977d
> > -- 
> > 2.41.0
> 
> Once the version string is the same length (your choice how!) then
> LGTM!
I used lowercase 'a' and pushed it.

Chers 

Subject: [PATCH] gnu: curl: Update to 8.3.0.
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Thu, 5 Oct 2023 08:11:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

According to upstream, the current version has 19 security issues.
See also <https://curl.se/docs/vuln-7.85.0.html>.

* gnu/packages/curl.scm (curl/fixed): New variable.
(curl): Use it as replacement.
---
 gnu/packages/curl.scm | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/gnu/packages/curl.scm b/gnu/packages/curl.scm
index 4e3c563570..dd612ce356 100644
--- a/gnu/packages/curl.scm
+++ b/gnu/packages/curl.scm
@@ -65,6 +65,7 @@ (define-public curl
   (package
     (name "curl")
     (version "7.85.0")
+    (replacement curl/fixed)
     (source (origin
               (method url-fetch)
               (uri (string-append "https://curl.se/download/curl-"
@@ -154,6 +155,20 @@ (define-public curl
                                    "See COPYING in the distribution."))
     (home-page "https://curl.haxx.se/")))
 
+(define curl/fixed
+  (let ((%version "8.3.0"))
+    (package
+      (inherit curl)
+      (version "8.3.0-0")               ; add -0 for grafting
+      (source (origin
+                (method url-fetch)
+                (uri (string-append "https://curl.se/download/curl-"
+                                    %version ".tar.xz"))
+                (sha256
+                 (base32
+                  "0qza6yf20y2l4aaxkn8dfw8p3fls1mxljvdb0m8z1i6ncxvn4v9p"))
+                (patches (search-patches "curl-use-ssl-cert-env.patch")))))))
+
 (define-public curl-ssh
   (package/inherit curl
     (arguments

base-commit: e71864793021051cff35597abd59bb2d5649977d
-- 
2.41.0